Skip to main content
GET
Get Connection Schema

Authorizations

Authorization
string
header
required

a valid bearer token

Query Parameters

authProvider
string
required

The auth provider to retrieve the connection schema for — for example salesforce.

Minimum string length: 1
authType
string
required

The auth type to retrieve the connection schema for — for example OAUTH_CLIENT_CRED.

Minimum string length: 1
platformConnectionType
string
required

The platform connection type — one of COMPONENT, COMPONENT_BASIC, or CLOUD_PLATFORM_CREDENTIALS.

Minimum string length: 1

Response

Connection schema returned successfully

The schema describing how to configure a connection for a given auth provider, auth type and platform connection type.

authProvider
string

The auth provider the schema applies to.

authType
string

The auth type the schema applies to.

connectionPropertiesFields
object[]

The connection properties required to configure the connection.

platformConnectionType
string

The platform connection type the schema applies to.

vaultSecretFormat
object[]

Describes how connection properties map onto vault secrets.